package edu.fiu.jtlex.data;

/**
 * Represents the SIGNAL tag
 * 
 * @author arada002
 *
 */
public interface ISignal {
	
	/**
	 * Returns a unique signal ID number.
	 * @return signalID
	 * 		   may not return less than 1
	 */
	public int getID();
	
	/**
	 * Returns a unique signal ID string.
	 * @return signalID String
	 * 		   may not return  <code>null</code>
	 */
	public String getIdStr();
	
	/**
	 * Returns the temporal preposition, conjunction or modifier phrase
	 * @return signalString
	 * 		   may not return <code>null</code>
	 */
	public String getSignalString();
	
	
	
}
